# AbstractILMultiDimensional (ARX API Documentation)

org.deidentifier.arx.metric.v2

## Class AbstractILMultiDimensional

- java.lang.Object
- - org.deidentifier.arx.metric.InformationLoss<double[]>
  - - org.deidentifier.arx.metric.v2.AbstractILMultiDimensional

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<InformationLoss<?>>
  Direct Known Subclasses:
    AbstractILMultiDimensionalReduced, ILMultiDimensionalRank

      public abstract class AbstractILMultiDimensional
      extends InformationLoss<double[]>

  This class implements an information loss which can be represented as a decimal number per quasi-identifier.
  See Also:
    Serialized Form

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract InformationLoss<double[]>` | `clone()` Returns a clone of this object.
    `abstract int` | `compareTo(InformationLoss<?> other)` Compares the loss to the other.
    `boolean` | `equals(java.lang.Object other)`
    `abstract double[]` | `getValue()` Returns the value
    `void` | `max(InformationLoss<?> other)` Retains the maximum of this and other.
    `void` | `min(InformationLoss<?> other)` Retains the minimum of this and other.
    `abstract double` | `relativeTo(InformationLoss<?> min, InformationLoss<?> max)` Returns the value relative to the other instance.
    `abstract java.lang.String` | `toString()` Returns a string representation.

    - ### Methods inherited from class org.deidentifier.arx.metric.InformationLoss

      `createInformationLoss, getMetadata, hashCode`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### clone

          public abstract InformationLoss<double[]> clone()

      Description copied from class: `InformationLoss`
      Returns a clone of this object.
      Specified by:
        `clone` in class `InformationLoss<double[]>`

    - #### compareTo

          public abstract int compareTo(InformationLoss<?> other)

      Description copied from class: `InformationLoss`
      Compares the loss to the other.
      Specified by:
        `compareTo` in interface `java.lang.Comparable<InformationLoss<?>>`
      Specified by:
        `compareTo` in class `InformationLoss<double[]>`

    - #### equals

          public boolean equals(java.lang.Object other)

      Specified by:
        `equals` in class `InformationLoss<double[]>`

    - #### getValue

          public abstract double[] getValue()

      Description copied from class: `InformationLoss`
      Returns the value
      Specified by:
        `getValue` in class `InformationLoss<double[]>`
      Returns:

    - #### max

          public void max(InformationLoss<?> other)

      Description copied from class: `InformationLoss`
      Retains the maximum of this and other.
      Specified by:
        `max` in class `InformationLoss<double[]>`

    - #### min

          public void min(InformationLoss<?> other)

      Description copied from class: `InformationLoss`
      Retains the minimum of this and other.
      Specified by:
        `min` in class `InformationLoss<double[]>`

    - #### relativeTo

          public abstract double relativeTo(InformationLoss<?> min,
                          InformationLoss<?> max)

      Description copied from class: `InformationLoss`
      Returns the value relative to the other instance.
      Specified by:
        `relativeTo` in class `InformationLoss<double[]>`
      Returns:

    - #### toString

          public abstract java.lang.String toString()

      Description copied from class: `InformationLoss`
      Returns a string representation.
      Specified by:
        `toString` in class `InformationLoss<double[]>`